<?php
    /*
    * @version      1.0.0 07.12.2015
    * @author       MAXXmarketing GmbH
    * @package      addon_second_short_description_for_product
    * @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
    * @license      GNU/GPL
    */
    defined('_JEXEC') or die('Restricted access');
    

    class plgJshoppingAdminSecond_short_description_for_product extends JPlugin {
        
        private $_separator = "{second_short_description}";

        public function onBeforeDisplaySaveProduct(&$post, &$product) {
            $jinp = JFactory::getApplication()->input;
            $model_langs = JModelLegacy::getInstance('Languages','JshoppingModel');
            $languages = $model_langs->getAllLanguages(1);
            foreach($languages as $lang) {
                $ss_descr = $jinp->get('second_short_description' . $lang->id, '', 'raw');
                $ss_descr = JComponentHelper::filterText($ss_descr);
                $post['description_' . $lang->language] .= $this->_separator . $ss_descr;
            }
        }
        
        public function onBeforeDisplayEditProductView(&$view) {
            $product = $view->product;
            $model_langs = JModelLegacy::getInstance('Languages','JshoppingModel');
            $languages = $model_langs->getAllLanguages(1);
            foreach($languages as $lang){
                $descr_varname = 'description_' . $lang->language;
                $ss_descr_varname = 'second_short_' . $descr_varname;
                $product->$ss_descr_varname = '';
                $tmp = explode($this->_separator, $product->$descr_varname);
                if( isset($tmp[1]) ) {
                    $product->$descr_varname = $tmp[0];
                    $product->$ss_descr_varname = $tmp[1];
                }
                $editor = JFactory::getEditor();
                $view->{'plugin_template_' . $descr_varname} .= '<tr><td class="key">' . _JSHOP_SHORT_DESCRIPTION . ' 2</td><td>' . $editor->display('second_short_description' . $lang->id,  $product->$ss_descr_varname , '100%', '350', '75', '20' ) . '</td></tr>';
            }
        }

    }